"""Constants."""


META_TOPIC: str = "execution-meta"

QS_EXECUTION_WORKLOAD_ID: str = "QS_EXECUTION_WORKLOAD_ID"
QS_EXECUTION_UID: str = "QS_EXECUTION_UID"

QS_EVENTS_REDIS_HOST: str = "QS_EVENTS_REDIS_HOST"
QS_EVENTS_REDIS_PORT: str = "QS_EVENTS_REDIS_PORT"
QS_EVENTS_REDIS_PASSWORD: str = "QS_EVENTS_REDIS_PASSWORD"


# telemetry
OT_PROGRAM_NAME = "OT_PROGRAM_NAME"
OT_PROGRAM_NAME_DEFAULT = "unnamed_execution"
OT_JAEGER_HOST = "OT_JAEGER_HOST"
OT_JAEGER_HOST_KEY = "OT_JAEGER_HOST_KEY"
OT_JAEGER_PORT_KEY = "OT_JAEGER_PORT_KEY"
OT_TRACEPARENT_ID_KEY = "OT_TRACEPARENT_ID_KEY"
OT_SPAN_DEFAULT_NAME = "entrypoint"
OT_ATTRIBUTE_PREFIX = "qs"
OT_LABEL_CALL_LOCATION = "qs.location"


# repository
REPO_HOST_KEY = "REPO_HOST_KEY"
REPO_PORT_KEY = "REPO_PORT_KEY"


# container image
RAY_IMAGE = "icr.io/quantum-public/quantum-serverless-ray-node:latest-py39"

# keycloak
ENV_KEYCLOAK_REALM = "ENV_KEYCLOAK_REALM"
ENV_KEYCLOAK_CLIENT_ID = "ENV_KEYCLOAK_CLIENT_ID"

# request timeout
REQUESTS_TIMEOUT: int = 30

# gateway
ENV_GATEWAY_PROVIDER_HOST = "ENV_GATEWAY_PROVIDER_HOST"
ENV_GATEWAY_PROVIDER_VERSION = "ENV_GATEWAY_PROVIDER_VERSION"
GATEWAY_PROVIDER_VERSION_DEFAULT = "v1"

# auth
ENV_JOB_GATEWAY_TOKEN = "ENV_JOB_GATEWAY_TOKEN"
ENV_JOB_GATEWAY_HOST = "ENV_JOB_GATEWAY_HOST"
ENV_JOB_ID_GATEWAY = "ENV_JOB_ID_GATEWAY"
ENV_JOB_ARGUMENTS = "ENV_JOB_ARGUMENTS"

# artifact
MAX_ARTIFACT_FILE_SIZE_MB = 20
